KD SOAP API Documentation: KDSoapPendingCall.cpp File Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Functions
KDSoapPendingCall.cpp File Reference
`#include "KDSoapPendingCall.h"`
`#include "KDSoapMessageReader_p.h"`
`#include "KDSoapNamespaceManager.h"`
`#include "KDSoapPendingCall_p.h"`
`#include <QDebug>`
`#include <QNetworkReply>`
Include dependency graph for KDSoapPendingCall.cpp:

Go to the source code of this file.

## Functions
static void | debugHelper (const QByteArray &data, const QList< QNetworkReply::RawHeaderPair > &headerList)
void | maybeDebugRequest (const QByteArray &data, const QNetworkRequest &request, QNetworkReply *reply)
static void | maybeDebugResponse (const QByteArray &data, QNetworkReply *reply)

## Function Documentation

## ◆ debugHelper()

static void debugHelper | ( | const QByteArray & | data,
|  | const QList< QNetworkReply::RawHeaderPair > & | headerList
| ) |  |
| static

Definition at line 17 of file KDSoapPendingCall.cpp.

References QXmlStreamReader::atEnd(), QList::contains(), QXmlStreamReader::hasError(), QXmlStreamReader::isWhitespace(), QNetworkReply::RawHeaderPair, QXmlStreamReader::readNext(), QXmlStreamWriter::setAutoFormatting(), QXmlStreamWriter::setAutoFormattingIndent(), QByteArray::split(), QByteArray::toLower(), and QXmlStreamWriter::writeCurrentToken().

Referenced by maybeDebugRequest(), and maybeDebugResponse().

## ◆ maybeDebugRequest()

void maybeDebugRequest | ( | const QByteArray & | data,
|  | const QNetworkRequest & | request,
|  | QNetworkReply * | reply
| ) |  |

Definition at line 81 of file KDSoapPendingCall.cpp.

References debugHelper(), QNetworkAccessManager::DeleteOperation, QNetworkAccessManager::GetOperation, QNetworkAccessManager::HeadOperation, QByteArray::isEmpty(), QNetworkReply::operation(), QNetworkAccessManager::PostOperation, QNetworkAccessManager::PutOperation, QNetworkRequest::rawHeader(), QNetworkRequest::rawHeaderList(), QNetworkReply::RawHeaderPair, QUrl::toString(), QString::toUtf8(), QByteArray::trimmed(), and QNetworkReply::url().

Referenced by KDSoapClientInterface::asyncCall(), KDSoapClientInterface::callNoReply(), and KDSoapThreadTask::process().

## ◆ maybeDebugResponse()

static void maybeDebugResponse | ( | const QByteArray & | data,
|  | QNetworkReply * | reply
| ) |  |
| static

Definition at line 69 of file KDSoapPendingCall.cpp.

References debugHelper(), QByteArray::isEmpty(), QNetworkReply::rawHeaderPairs(), and QByteArray::trimmed().

Referenced by KDSoapPendingCall::Private::parseReply().

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8